
  <!DOCTYPE html>
  <html>
    <head>
      <title>useLines.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="negative"><td class="">src/pages/simulation/hooks/useLines.ts</td><td class="">33.33%</td><td class="">80%</td><td class="">15</td><td class="">5</td><td class="">10</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { useMemo } from &#x27;react&#x27;;

export const useLines = (data: any[]) =&gt;
  useMemo(
    () =&gt;
      data &amp;&amp; data.length &gt; 0
        ? data.map(({ batchName }) =&gt; ({
            dataKey: batchName,
            name: batchName
          }))
        : [],
    [data]
  );
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:2,&quot;character&quot;:25,&quot;text&quot;:&quot;data&quot;,&quot;kind&quot;:2},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:5,&quot;character&quot;:6,&quot;text&quot;:&quot;data&quot;,&quot;kind&quot;:2},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:5,&quot;character&quot;:14,&quot;text&quot;:&quot;data&quot;,&quot;kind&quot;:2},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:6,&quot;character&quot;:10,&quot;text&quot;:&quot;data&quot;,&quot;kind&quot;:2},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:6,&quot;character&quot;:22,&quot;text&quot;:&quot;batchName&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:7,&quot;character&quot;:12,&quot;text&quot;:&quot;dataKey&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:7,&quot;character&quot;:21,&quot;text&quot;:&quot;batchName&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:8,&quot;character&quot;:12,&quot;text&quot;:&quot;name&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:8,&quot;character&quot;:18,&quot;text&quot;:&quot;batchName&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/pages/simulation/hooks/useLines.ts&quot;,&quot;line&quot;:11,&quot;character&quot;:5,&quot;text&quot;:&quot;data&quot;,&quot;kind&quot;:2}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  